﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
   public class LineSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> dataPoints;

        public LineSample()
        {
            SfChart chart = new SfChart();

            dataPoints = new ObservableCollection<ChartDataPoint>();
            dataPoints.Add(new ChartDataPoint("Jan", 20));
            dataPoints.Add(new ChartDataPoint("Feb", 10));
            dataPoints.Add(new ChartDataPoint("Mar", 25));
            dataPoints.Add(new ChartDataPoint("Apr", 30));
            dataPoints.Add(new ChartDataPoint("May", 25));
            dataPoints.Add(new ChartDataPoint("Jun", 20));

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            LineSeries series = new LineSeries();
            series.ItemsSource = dataPoints;
            series.EnableAnimation = true;
            chart.Series.Add(series);

            Content = chart;
        }
    }
}
